com.brightcove.player.event

## Interface EventListener

- All Known Implementing Classes:
    BackgroundEventListener, BaseVideoView.OnProgressListener, BrightcovePluginManager.OnRegisterPluginListener, OmnitureComponent.OnActivityStoppedListener, OmnitureComponent.OnCollectLifeCycleDataListener, OmnitureComponent.OnDidSeekToListener, OmnitureComponent.OnDidSetVideoListener, OmnitureComponent.OnPauseCollectLifeCycleDataListener, OmnitureComponent.OnPauseListener, OmnitureComponent.OnPlayListener, OmnitureComponent.OnProgressListener, OmnitureComponent.OnSelectedSourceListener, OmnitureComponent.OnSetHeartbeatConfigDataListener, OmnitureComponent.OnVideoCompletedListener, SeekButtonController.HideSeekControlsHandler, SeekButtonController.SeekConfigurationHandler, SeekButtonController.SeekHandler, SeekButtonController.SeekOffsetHandler, SeekButtonController.ShowSeekControlsHandler, VideoDisplayComponent.OnSetSourceListener, VideoDisplayComponent.OnWillChangeVideoListener, VideoPlaybackController.OnDidSeekToListener, VideoPlaybackController.OnDidSetSourceListener, VideoPlaybackController.OnPlayerReadyListener, VideoPlaybackController.OnPlayListener, VideoPlaybackController.OnRemoveCuePointListener, VideoPlaybackController.OnSeekToListener, VideoPlaybackController.OnSetCuePointListener, VideoPlaybackController.OnSetCuePointsListener, VideoPlaybackController.OnSetVideoListener, VideoPlaybackController.OnSourceSelectedListener, VideoPlaybackController.OnVideoCompletedListener, VideoPlaybackController.OnWillChangeVideoListener

      public interface EventListener

  Abstract class used as part of the event registration process. Components may create anonymous classes using this interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processEvent(Event event)` Process a given event to some purpose.

- - ### Method Detail

    - #### processEvent

          void processEvent(Event event)

      Process a given event to some purpose. The event can contain or provide payload data via properties.
      Parameters:
        `event` - The given event.